<div id="top"></div>
<!--
*** Thanks for checking out the Best-README-Template. If you have a suggestion
*** that would make this better, please fork the repo and create a pull request
*** or simply open an issue with the tag "enhancement".
*** Don't forget to give the project a star!
*** Thanks again! Now go create something AMAZING! :D
-->


<!-- PROJECT SHIELDS -->
<!--
*** I'm using markdown "reference style" links for readability.
*** Reference links are enclosed in brackets [ ] instead of parentheses ( ).
*** See the bottom of this document for the declaration of the reference variables
*** for contributors-url, forks-url, etc. This is an optional, concise syntax you may use.
*** https://www.markdownguide.org/basic-syntax/#reference-style-links
-->
[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]


<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/unfoldingword/dcs-react-hooks">
    <img src="public/logo500.png" alt="Logo" width="80" height="80">
  </a>

<h3 align="center">Styleguidist Template</h3>
  <p align="center">
    @Description
    <br />
    <a href="https://dcs-react-hooks.netlify.app"><strong>Explore the docs and code playground »</strong></a>
    <br />
    <br />
    <a href="https://dcs-react-hooks.netlify.app">View Demo</a>
    ·
    <a href="https://github.com/unfoldingword/dcs-react-hooks/issues">Report Bug</a>
    ·
    <a href="https://github.com/unfoldingword/dcs-react-hooks/issues">Request Feature</a>
  </p>
</div>


<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#acknowledgments">Acknowledgments</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## About The Project

[![Product Name Screen Shot][product-screenshot]](https://dcs-react-hooks.netlify.app/)

**Purpose:**
@dcs-react-hooks-purpose

**Problem:**
@dcs-react-hooks-problem

**Scope:**
@dcs-react-hooks-scope

**Architecture and Design Principles:**
See ARCHITECTURE.md for details on architecture and design principles for this project.

<p align="right">(<a href="#top">back to top</a>)</p>



### Built With

* [React.js](https://reactjs.org/)
* [React Stylguidist](https://react-styleguidist.js.org)

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- GETTING STARTED -->
## Getting Started

This is an example of how you may give instructions on setting up your project locally.
To get a local copy up and running follow these simple example steps.


### Prerequisites

**Data**

This is an example of how to list things you need to use the software and how to install them.
* npm
  ```sh
  npm install npm@latest -g
  ```

### Installation/First Steps

1. Setup a React app using `Create React App` or `React Styleguidist`.
  ```sh
  npx create-react-app dcs-react-hooks-app
  ```
2. Add it to your React app or component library (inside your project path):
  * yarn
  ```sh
  yarn add dcs-react-hooks
  ```
  * npm
  ```sh
  npm i dcs-react-hooks
  ```

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- USAGE EXAMPLES -->
## Usage/Integration

Use this space to show useful examples of how a project can be used. Additional screenshots, code examples and demos work well in this space. You may also link to more resources.

_For more examples, please refer to the [Styleguidist](https://dcs-react-hooks.netlify.app/#usepermalinks)._

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- ROADMAP -->
## Roadmap

- [ ] [Return `data` fetched using url params](https://github.com/unfoldingword/dcs-react-hooks/issues/16)
- [ ] [Change path dynamically depending on app state](https://github.com/unfoldingword/dcs-react-hooks/issues/4)

See the [open issues](https://github.com/unfoldingword/dcs-react-hooks/issues) for a full list of proposed features (and known issues).

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.  [Guidelines for external contributions.](https://forum.door43.org)

You can also simply open an issue with the tag "enhancement".
Don't forget to give the project a star! Thanks again!

If you would like to fork the repo and create a pull request. 

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.

<p align="right">(<a href="#top">back to top</a>)</p>


<!-- CONTACT -->
## Contact

@dcs-react-hooks-contact

Project Link: [https://github.com/unfoldingword/dcs-react-hooks](https://github.com/unfoldingword/dcs-react-hooks)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- ACKNOWLEDGMENTS -->
## Acknowledgments

* [Abel Perez](https://github.com/gatewaydevs)
* [klappy](https://github.com/klappy)

<p align="right">(<a href="#top">back to top</a>)</p>



<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/unfoldingword/dcs-react-hooks.svg?style=flat
[contributors-url]: https://github.com/unfoldingword/dcs-react-hooks/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/unfoldingword/dcs-react-hooks.svg?style=flat
[forks-url]: https://github.com/unfoldingword/dcs-react-hooks/network/members
[stars-shield]: https://img.shields.io/github/stars/unfoldingword/dcs-react-hooks.svg?style=flat
[stars-url]: https://github.com/unfoldingword/dcs-react-hooks/stargazers
[issues-shield]: https://img.shields.io/github/issues/unfoldingword/dcs-react-hooks.svg?style=flat
[issues-url]: https://github.com/unfoldingword/dcs-react-hooks/issues
[license-shield]: https://img.shields.io/github/license/unfoldingword/dcs-react-hooks.svg?style=flat
[license-url]: https://github.com/unfoldingword/dcs-react-hooks/blob/master/LICENSE
[product-screenshot]: https://github.com/unfoldingword/dcs-react-hooks/raw/master/public/screen-shot.png
